POST Search for customers in a customer list
POST /customer_lists/{customer_list_id}/customer_search
Operation ID: Search for customers in a customer list. Tags: customer_lists. Security: oauth2_application.
Action to search for customers in a customer list.
The query attribute specifies a complex query that can be used to narrow down the search. Note that a text_query search only returns exact word matches. For example, the search term "Jon" returns "Jon Smith", but doesn't return "Jonathan Smith".
The sum of the values of the start and count parameters should not be more than 10000.
These attributes are searchable:
-
customer_no - String
-
first_name - String
-
second_name - String
-
last_name - String
-
suffix - String
-
salutation - String
-
title - String
-
fax - String
-
phone_home - String
-
phone_business - String
-
phone_mobile - String
-
email - String
-
gender - Integer
-
company_name - String
-
credentials.login - String
-
credentials.enabled - boolean
Parameters
customer_list_id(path, string, required) The customer list id to search in
Minimum length: 1. Maximum length: 256.
Request body (required)
Media type: application/json, text/xml. Schema: search_request.
Responses
- default
Media type:
application/json, text/xml. Schema:customer_search_result.